Splunk® IT Service Intelligence

Entity Integrations Manual

Acrobat logo Download manual as PDF


Acrobat logo Download topic as PDF

Windows integration requirements for ITSI

These are the requirements and compatible software for Windows integrations for Splunk IT Service Intelligence (ITSI) entity integrations.

Once you understand the requirements, start configuring integrations. You can use the data collection script or configure data collection agents manually. For more information, see these topics:

For information about data you can collect with this integration, see Windows data you can collect with ITSI.

Windows operating system support

ITSI entity integrations supports only 64-bit operating systems.

You can collect metrics and log data from the following operating systems and versions:

Operating system Version
Windows Server
  • 2012
  • 2012 R2
  • 2016
  • 2019
Windows
  • 10

Required Windows dependencies

You need these dependencies available on each Windows host you want to collect data from with the data collection script:

Dependency Description
PowerShell Run the data collection script in a PowerShell window. You can't run the script in a Windows command prompt.
Last modified on 08 March, 2020
PREVIOUS
About the Windows entity integration in ITSI
  NEXT
Windows data you can collect with ITSI

This documentation applies to the following versions of Splunk® IT Service Intelligence: 4.6.0 Cloud only, 4.6.1 Cloud only, 4.6.2 Cloud only, 4.7.0, 4.7.1, 4.7.2, 4.8.0 Cloud only, 4.8.1 Cloud only, 4.9.0, 4.9.1, 4.9.2, 4.9.3, 4.10.0 Cloud only, 4.10.1 Cloud only, 4.10.2 Cloud only


Was this documentation topic helpful?

You must be logged into splunk.com in order to post comments. Log in now.

Please try to keep this discussion focused on the content covered in this documentation topic. If you have a more general question about Splunk functionality or are experiencing a difficulty with Splunk, consider posting a question to Splunkbase Answers.

0 out of 1000 Characters